BackendHTTP APIConnections

Delete a connection

Requires an API key with the environment:connections:delete scope. Learn more about API key scopes.

DELETE
/connections/{connectionId}

Deletes a specific connection

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

connectionId*string

The connection ID used to create the connection.

Query Parameters

provider_config_key*string

The integration ID used to create the connection (aka Unique Key).

Response Body

Successfully deleted an connection

application/json
  1. response
success?boolean
Example Request
curl -X DELETE 'https://api.tenklo.dev/connections/string?provider_config_key=string'
Example Response
{  "success": true}